Bug 112941 - [patch] print/acroread7 doesn't remove all directories
Summary: [patch] print/acroread7 doesn't remove all directories
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-24 14:20 UTC by edwin
Modified: 2007-06-09 12:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.50 KB, patch)
2007-05-24 14:20 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2007-05-24 14:20:04 UTC
The port leaves the directory Adobe/Acrobat7.0

Fix: Throw in two @dirrmtry's:
Comment 1 Edwin Groothuis freebsd_committer 2007-05-24 14:20:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer
Comment 2 Hiroki Sato freebsd_committer 2007-05-26 02:02:28 UTC
----Security_Multipart(Sat_May_26_10_02_28_2007_142)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Edwin Groothuis <edwin@mavetju.org> wrote
  in <20070524131826.A678B574@k7.mavetju>:

ed>
ed> >Number:         112941
ed> >Category:       ports
ed> >Synopsis:       [patch] print/acroread7 doesn't remove all directories
ed> >Confidential:   no
ed> >Severity:       non-critical
ed> >Priority:       low
ed> >Responsible:    freebsd-ports-bugs
ed> >State:          open
ed> >Quarter:
ed> >Keywords:
ed> >Date-Required:
ed> >Class:          change-request
ed> >Submitter-Id:   current-users
ed> >Arrival-Date:   Thu May 24 13:20:04 GMT 2007
ed> >Closed-Date:
ed> >Last-Modified:
ed> >Originator:     Edwin Groothuis
ed> >Release:        FreeBSD 6.1-RELEASE i386
ed> >Organization:
ed> -
ed> >Environment:
ed> System: FreeBSD k7.mavetju 6.1-RELEASE FreeBSD 6.1-RELEASE #0: Sun May 7 04:42:56 UTC 2006 root@opus.cse.buffalo.edu:/usr/obj/usr/src/sys/SMP i386
ed>
ed>
ed> >Description:
ed>
ed> The port leaves the directory Adobe/Acrobat7.0

 These two directories should be handled by print/acroreadwrapper.

--
| Hiroki SATO

----Security_Multipart(Sat_May_26_10_02_28_2007_142)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (FreeBSD)

iD8DBQBGV4ckTyzT2CeTzy0RApzQAJkBinTU/hO6JR4gm/s9bczLLigtWwCgifUX
l1Uwnyu+Wlq7PYuAb8HuwOQ=
=Jg2J
-----END PGP SIGNATURE-----

----Security_Multipart(Sat_May_26_10_02_28_2007_142)----
Comment 3 edwin 2007-05-26 08:14:47 UTC
On Sat, May 26, 2007 at 10:02:28AM +0900, Hiroki Sato wrote:
> Edwin Groothuis <edwin@mavetju.org> wrote
>   in <20070524131826.A678B574@k7.mavetju>:
> 
> ed>
> ed> >Number:         112941
> ed> >Category:       ports
> ed> >Synopsis:       [patch] print/acroread7 doesn't remove all directories
> ed> >Confidential:   no
> ed> >Severity:       non-critical
> ed> >Priority:       low
> ed> >Responsible:    freebsd-ports-bugs
> ed> >State:          open
> ed> >Quarter:
> ed> >Keywords:
> ed> >Date-Required:
> ed> >Class:          change-request
> ed> >Submitter-Id:   current-users
> ed> >Arrival-Date:   Thu May 24 13:20:04 GMT 2007
> ed> >Closed-Date:
> ed> >Last-Modified:
> ed> >Originator:     Edwin Groothuis
> ed> >Release:        FreeBSD 6.1-RELEASE i386
> ed> >Organization:
> ed> -
> ed> >Environment:
> ed> System: FreeBSD k7.mavetju 6.1-RELEASE FreeBSD 6.1-RELEASE #0: Sun May 7 04:42:56 UTC 2006 root@opus.cse.buffalo.edu:/usr/obj/usr/src/sys/SMP i386
> ed>
> ed>
> ed> >Description:
> ed>
> ed> The port leaves the directory Adobe/Acrobat7.0
> 
>  These two directories should be handled by print/acroreadwrapper.

Then there is an interesting chicken-and-egg problem:

- print/acroreaderwrapper doesn't depend on print/acroread7
- print/acroreaderwrapper got moved from /usr/X11R6 to /usr/local
  before print/acroread7 did.
- print/acroreaderwrapper couldn't remove these two directories
  because they were still in use with print/acroread7.
- print/acroread7 got moved from /usr/X11R6 to /usr/local
- print/acroread7 didn't remove these two directories.

I still think that these two directories could be @dirrmtry'd by
print/acroread7, to overcome the issue described here.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 4 Hiroki Sato freebsd_committer 2007-05-28 00:04:09 UTC
----Security_Multipart(Mon_May_28_08_04_09_2007_740)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Edwin Groothuis <edwin@mavetju.org> wrote
  in <20070526071447.GG1358@k7.mavetju>:

ed> Then there is an interesting chicken-and-egg problem:
ed>
ed> - print/acroreaderwrapper doesn't depend on print/acroread7
ed> - print/acroreaderwrapper got moved from /usr/X11R6 to /usr/local
ed>   before print/acroread7 did.
ed> - print/acroreaderwrapper couldn't remove these two directories
ed>   because they were still in use with print/acroread7.
ed> - print/acroread7 got moved from /usr/X11R6 to /usr/local
ed> - print/acroread7 didn't remove these two directories.
ed>
ed> I still think that these two directories could be @dirrmtry'd by
ed> print/acroread7, to overcome the issue described here.

 Okay, I understand what the problem is.  I think I will double-check
 the patch and commit it.

--
| Hiroki SATO

----Security_Multipart(Mon_May_28_08_04_09_2007_740)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (FreeBSD)

iD8DBQBGWg5pTyzT2CeTzy0RAqIzAJ0UP77DFQ4wKYDsthqO9xLAPB487wCgr89O
NWntCuX8cKcTKVd+GR0ZHhM=
=PfWS
-----END PGP SIGNATURE-----

----Security_Multipart(Mon_May_28_08_04_09_2007_740)----
Comment 5 dfilter service freebsd_committer 2007-06-09 12:18:52 UTC
hrs         2007-06-09 11:18:46 UTC

  FreeBSD ports repository

  Modified files:
    print/acroread7      Makefile pkg-plist.7.0.9 
    print/acroreadwrapper Makefile pkg-plist 
  Log:
  Use @dirrmtry for Adobe and Adobe/Acrobat7.0 directories
  (and use ADOBEBASE and ACROBASE for consistency).
  
  PR:             ports/112941
  Submitted by:   edwin
  
  Revision  Changes    Path
  1.24      +6 -2      ports/print/acroread7/Makefile
  1.2       +3 -1      ports/print/acroread7/pkg-plist.7.0.9
  1.5       +4 -4      ports/print/acroreadwrapper/Makefile
  1.2       +4 -4      ports/print/acroreadwrapper/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Hiroki Sato freebsd_committer 2007-06-09 12:18:53 UTC
State Changed
From-To: open->closed

Committed, thanks for the suggestion!